## buteo-syncfw-qml 0.3

=== debian/changelog ===
buteo-syncfw-qml (0.3-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 May 2024 00:35:49 +0200

buteo-syncfw-qml (0.3-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1071863).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 May 2024 07:24:43 +0200
