=== debian/control ===
Source: buteo-syncfw-qml
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               dbus-test-runner,
               debhelper-compat (= 13),
               pkgconf,
               qml-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               python3:any,
               python3-dbus,
               python3-gi,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/buteo-syncfw-qml
Vcs-Git: https://salsa.debian.org/ubports-team/buteo-syncfw-qml.git
Vcs-Browser: https://salsa.debian.org/ubports--team/buteo-syncfw-qml

Package: qml-module-buteo-syncfw
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: buteo-syncfw
Description: Buteo sync framework client - QML bindings
 Synchronization of contact data in Lomiri is controlled by Buteo (the
 synchronization framework used in Ubuntu Touch and SailfishOS).
 Synchronization with a variety of data sources is supported through a
 number of data-source-specific synchronization plugins. Each plugin is
 independent, although many of them share significant amounts of code to
 ease maintenance.
 .
 This package contains the QML plugin providing Buteo's features to
 applications.
