=== debian/changelog ===
buteo-syncfw-qml (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1112740).
  * debian/copyright:
    + Fix license text for LGPL-3+.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 0001_Remove-not-used-anywhere-method-declaration.patch. Applied
      upstream.
    + Rebase 1002_stabilize-cleanupTestCase.patch.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Oct 2025 10:28:48 +0200
