=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3:any,
                python3-dbus,
                python3-gi,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/buteo-syncfw-qml
 Vcs-Git: https://salsa.debian.org/ubports-team/buteo-syncfw-qml.git
